/* SourceDialog.c generated by valac 0.56.14, the Vala compiler
 * generated from SourceDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2011-2020 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Jaap Broekhuizen
 *              Corentin Noël <corentin@elementaryos.org>
 */

#include <gtk/gtk.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include "elementary-calendar.h"
#include <gee.h>
#include <libedataserver/libedataserver.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <granite.h>

#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define MAYA_VIEW_TYPE_SOURCE_DIALOG (maya_view_source_dialog_get_type ())
#define MAYA_VIEW_SOURCE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog))
#define MAYA_VIEW_SOURCE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialogClass))
#define MAYA_VIEW_IS_SOURCE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG))
#define MAYA_VIEW_IS_SOURCE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_VIEW_TYPE_SOURCE_DIALOG))
#define MAYA_VIEW_SOURCE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialogClass))

typedef struct _MayaViewSourceDialog MayaViewSourceDialog;
typedef struct _MayaViewSourceDialogClass MayaViewSourceDialogClass;
typedef struct _MayaViewSourceDialogPrivate MayaViewSourceDialogPrivate;
typedef enum  {
	MAYA_VIEW_EVENT_TYPE_ADD,
	MAYA_VIEW_EVENT_TYPE_EDIT
} MayaViewEventType;

#define MAYA_VIEW_TYPE_EVENT_TYPE (maya_view_event_type_get_type ())
enum  {
	MAYA_VIEW_SOURCE_DIALOG_0_PROPERTY,
	MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY,
	MAYA_VIEW_SOURCE_DIALOG_NUM_PROPERTIES
};
static GParamSpec* maya_view_source_dialog_properties[MAYA_VIEW_SOURCE_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block24Data Block24Data;
enum  {
	MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL,
	MAYA_VIEW_SOURCE_DIALOG_NUM_SIGNALS
};
static guint maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_NUM_SIGNALS] = {0};

struct _MayaViewSourceDialog {
	GtkGrid parent_instance;
	MayaViewSourceDialogPrivate * priv;
};

struct _MayaViewSourceDialogClass {
	GtkGridClass parent_class;
};

struct _MayaViewSourceDialogPrivate {
	MayaViewEventType _event_type;
	GtkEntry* name_entry;
	gchar* hex_color;
	MayaBackend* current_backend;
	GeeCollection* backend_widgets;
	GtkGrid* main_grid;
	GeeHashMap* widgets_checked;
	GtkButton* create_button;
	GtkComboBox* type_combobox;
	GtkListStore* list_store;
	GtkCheckButton* is_default_check;
	ESource* source;
	GtkRadioButton* color_button_blue;
	GtkRadioButton* color_button_mint;
	GtkRadioButton* color_button_green;
	GtkRadioButton* color_button_yellow;
	GtkRadioButton* color_button_orange;
	GtkRadioButton* color_button_red;
	GtkRadioButton* color_button_pink;
	GtkRadioButton* color_button_purple;
	GtkRadioButton* color_button_brown;
	GtkRadioButton* color_button_slate;
	GtkRadioButton* color_button_none;
};

struct _Block24Data {
	int _ref_count_;
	MayaViewSourceDialog* self;
	MayaPlacementWidget* widget;
};

static gint MayaViewSourceDialog_private_offset;
static gpointer maya_view_source_dialog_parent_class = NULL;

VALA_EXTERN GType maya_view_source_dialog_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (MayaViewSourceDialog, g_object_unref)
VALA_EXTERN GType maya_view_event_type_get_type (void) G_GNUC_CONST ;
VALA_EXTERN void maya_view_source_dialog_set_source (MayaViewSourceDialog* self,
                                         ESource* source);
static void maya_view_source_dialog_set_event_type (MayaViewSourceDialog* self,
                                             MayaViewEventType value);
static gboolean maya_view_source_dialog_tree_foreach (MayaViewSourceDialog* self,
                                               GtkTreeModel* model,
                                               GtkTreePath* path,
                                               GtkTreeIter* iter);
static gboolean _maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func (GtkTreeModel* model,
                                                                            GtkTreePath* path,
                                                                            GtkTreeIter* iter,
                                                                            gpointer self);
static void maya_view_source_dialog_remove_backend_widgets (MayaViewSourceDialog* self);
static void maya_view_source_dialog_add_backend_widgets (MayaViewSourceDialog* self);
static Block24Data* block24_data_ref (Block24Data* _data24_);
static void block24_data_unref (void * _userdata_);
static void _____lambda156_ (Block24Data* _data24_);
static void maya_view_source_dialog_entry_changed (MayaViewSourceDialog* self,
                                            MayaPlacementWidget* widget);
static void ______lambda156__gtk_editable_changed (GtkEditable* _sender,
                                            gpointer self);
static void maya_view_source_dialog_check_can_validate (MayaViewSourceDialog* self);
VALA_EXTERN void maya_view_source_dialog_save (MayaViewSourceDialog* self);
VALA_EXTERN MayaViewEventType maya_view_source_dialog_get_event_type (MayaViewSourceDialog* self);
VALA_EXTERN MayaViewSourceDialog* maya_view_source_dialog_new (void);
VALA_EXTERN MayaViewSourceDialog* maya_view_source_dialog_construct (GType object_type);
static GObject * maya_view_source_dialog_constructor (GType type,
                                               guint n_construct_properties,
                                               GObjectConstructParam * construct_properties);
static void _maya_view_source_dialog_save_gtk_button_clicked (GtkButton* _sender,
                                                       gpointer self);
static void _maya_view_source_dialog___lambda157_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda157__gtk_button_clicked (GtkButton* _sender,
                                                                gpointer self);
static void _maya_view_source_dialog___lambda158_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda158__gtk_editable_changed (GtkEditable* _sender,
                                                                  gpointer self);
static void _maya_view_source_dialog___lambda159_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda159__gtk_combo_box_changed (GtkComboBox* _sender,
                                                                   gpointer self);
static void _maya_view_source_dialog___lambda160_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda160__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda161_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda161__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda162_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda162__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda163_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda163__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda164_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda164__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda165_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda165__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda166_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda166__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda167_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda167__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda168_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda168__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda169_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda169__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void maya_view_source_dialog_finalize (GObject * obj);
static GType maya_view_source_dialog_get_type_once (void);
static void _vala_maya_view_source_dialog_get_property (GObject * object,
                                                 guint property_id,
                                                 GValue * value,
                                                 GParamSpec * pspec);
static void _vala_maya_view_source_dialog_set_property (GObject * object,
                                                 guint property_id,
                                                 const GValue * value,
                                                 GParamSpec * pspec);

static inline gpointer
maya_view_source_dialog_get_instance_private (MayaViewSourceDialog* self)
{
	return G_STRUCT_MEMBER_P (self, MayaViewSourceDialog_private_offset);
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 253 "../src/SourceDialog/SourceDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 220 "SourceDialog.c"
}

static gboolean
_maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func (GtkTreeModel* model,
                                                                   GtkTreePath* path,
                                                                   GtkTreeIter* iter,
                                                                   gpointer self)
{
	gboolean result;
	result = maya_view_source_dialog_tree_foreach ((MayaViewSourceDialog*) self, model, path, iter);
#line 268 "../src/SourceDialog/SourceDialog.vala"
	return result;
#line 233 "SourceDialog.c"
}

void
maya_view_source_dialog_set_source (MayaViewSourceDialog* self,
                                    ESource* source)
{
	ESource* _tmp0_;
	GError* _inner_error0_ = NULL;
#line 252 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 253 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = _g_object_ref0 (source);
#line 253 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->source);
#line 253 "../src/SourceDialog/SourceDialog.vala"
	self->priv->source = _tmp0_;
#line 254 "../src/SourceDialog/SourceDialog.vala"
	if (source == NULL) {
#line 252 "SourceDialog.c"
		GtkEntry* _tmp1_;
		GtkComboBox* _tmp2_;
		GtkRadioButton* _tmp3_;
		GtkButton* _tmp4_;
		GtkCheckButton* _tmp5_;
		GtkCheckButton* _tmp6_;
#line 255 "../src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, MAYA_VIEW_EVENT_TYPE_ADD);
#line 256 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->name_entry;
#line 256 "../src/SourceDialog/SourceDialog.vala"
		gtk_entry_set_text (_tmp1_, "");
#line 257 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = self->priv->type_combobox;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp2_, TRUE);
#line 258 "../src/SourceDialog/SourceDialog.vala"
		_tmp3_ = self->priv->color_button_red;
#line 258 "../src/SourceDialog/SourceDialog.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp3_, TRUE);
#line 259 "../src/SourceDialog/SourceDialog.vala"
		_tmp4_ = self->priv->create_button;
#line 259 "../src/SourceDialog/SourceDialog.vala"
		gtk_button_set_label (_tmp4_, _ ("Create Calendar"));
#line 260 "../src/SourceDialog/SourceDialog.vala"
		_tmp5_ = self->priv->is_default_check;
#line 260 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp5_, TRUE);
#line 261 "../src/SourceDialog/SourceDialog.vala"
		_tmp6_ = self->priv->is_default_check;
#line 261 "../src/SourceDialog/SourceDialog.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp6_, FALSE);
#line 285 "SourceDialog.c"
	} else {
		GtkButton* _tmp7_;
		GtkEntry* _tmp8_;
		const gchar* _tmp9_;
		const gchar* _tmp10_;
		GtkComboBox* _tmp11_;
		GtkComboBox* _tmp12_;
		GtkListStore* _tmp13_;
		ESourceCalendar* cal = NULL;
		ESourceExtension* _tmp28_;
		ESourceCalendar* _tmp29_;
		ESourceCalendar* _tmp30_;
		gchar* _tmp31_;
		gchar* _tmp32_;
		GQuark _tmp34_ = 0U;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label0 = 0;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label1 = 0;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label2 = 0;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label3 = 0;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label4 = 0;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label5 = 0;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label6 = 0;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label7 = 0;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label8 = 0;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp33_label9 = 0;
#line 263 "../src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, MAYA_VIEW_EVENT_TYPE_EDIT);
#line 264 "../src/SourceDialog/SourceDialog.vala"
		_tmp7_ = self->priv->create_button;
#line 264 "../src/SourceDialog/SourceDialog.vala"
		gtk_button_set_label (_tmp7_, _ ("Save"));
#line 265 "../src/SourceDialog/SourceDialog.vala"
		_tmp8_ = self->priv->name_entry;
#line 265 "../src/SourceDialog/SourceDialog.vala"
		_tmp9_ = e_source_get_display_name (source);
#line 265 "../src/SourceDialog/SourceDialog.vala"
		_tmp10_ = _tmp9_;
#line 265 "../src/SourceDialog/SourceDialog.vala"
		gtk_entry_set_text (_tmp8_, _tmp10_);
#line 266 "../src/SourceDialog/SourceDialog.vala"
		_tmp11_ = self->priv->type_combobox;
#line 266 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp11_, FALSE);
#line 267 "../src/SourceDialog/SourceDialog.vala"
		_tmp12_ = self->priv->type_combobox;
#line 267 "../src/SourceDialog/SourceDialog.vala"
		gtk_combo_box_set_active (_tmp12_, 0);
#line 268 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = self->priv->list_store;
#line 268 "../src/SourceDialog/SourceDialog.vala"
		gtk_tree_model_foreach ((GtkTreeModel*) _tmp13_, _maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func, self);
#line 347 "SourceDialog.c"
		{
			ESourceRegistry* registry = NULL;
			ESourceRegistry* _tmp14_;
			gboolean source_is_default = FALSE;
			ESourceRegistry* _tmp15_;
			ESource* _tmp16_;
			ESource* _tmp17_;
			ESource* _tmp18_;
			gboolean _tmp19_;
			gboolean source_is_readonly = FALSE;
			CalendarEventStore* _tmp20_;
			CalendarEventStore* _tmp21_;
			gboolean _tmp22_;
			gboolean _tmp23_ = FALSE;
			GtkCheckButton* _tmp24_;
			GtkCheckButton* _tmp25_;
#line 271 "../src/SourceDialog/SourceDialog.vala"
			_tmp14_ = e_source_registry_new_sync (NULL, &_inner_error0_);
#line 271 "../src/SourceDialog/SourceDialog.vala"
			registry = _tmp14_;
#line 271 "../src/SourceDialog/SourceDialog.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 370 "SourceDialog.c"
				goto __catch0_g_error;
			}
#line 272 "../src/SourceDialog/SourceDialog.vala"
			_tmp15_ = registry;
#line 272 "../src/SourceDialog/SourceDialog.vala"
			g_object_get (_tmp15_, "default-calendar", &_tmp16_, NULL);
#line 272 "../src/SourceDialog/SourceDialog.vala"
			_tmp17_ = _tmp16_;
#line 272 "../src/SourceDialog/SourceDialog.vala"
			_tmp18_ = _tmp17_;
#line 272 "../src/SourceDialog/SourceDialog.vala"
			_tmp19_ = e_source_equal (source, _tmp18_);
#line 272 "../src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (_tmp18_);
#line 272 "../src/SourceDialog/SourceDialog.vala"
			source_is_default = _tmp19_;
#line 273 "../src/SourceDialog/SourceDialog.vala"
			_tmp20_ = calendar_event_store_get_default ();
#line 273 "../src/SourceDialog/SourceDialog.vala"
			_tmp21_ = _tmp20_;
#line 273 "../src/SourceDialog/SourceDialog.vala"
			_tmp22_ = calendar_event_store_calclient_is_readonly (_tmp21_, source);
#line 273 "../src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (_tmp21_);
#line 273 "../src/SourceDialog/SourceDialog.vala"
			source_is_readonly = _tmp22_;
#line 275 "../src/SourceDialog/SourceDialog.vala"
			if (source_is_default) {
#line 275 "../src/SourceDialog/SourceDialog.vala"
				_tmp23_ = TRUE;
#line 401 "SourceDialog.c"
			} else {
#line 275 "../src/SourceDialog/SourceDialog.vala"
				_tmp23_ = source_is_readonly;
#line 405 "SourceDialog.c"
			}
#line 275 "../src/SourceDialog/SourceDialog.vala"
			_tmp24_ = self->priv->is_default_check;
#line 275 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp24_, !_tmp23_);
#line 276 "../src/SourceDialog/SourceDialog.vala"
			_tmp25_ = self->priv->is_default_check;
#line 276 "../src/SourceDialog/SourceDialog.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp25_, source_is_default);
#line 270 "../src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (registry);
#line 417 "SourceDialog.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* _error_ = NULL;
			GError* _tmp26_;
			const gchar* _tmp27_;
#line 270 "../src/SourceDialog/SourceDialog.vala"
			_error_ = _inner_error0_;
#line 270 "../src/SourceDialog/SourceDialog.vala"
			_inner_error0_ = NULL;
#line 278 "../src/SourceDialog/SourceDialog.vala"
			_tmp26_ = _error_;
#line 278 "../src/SourceDialog/SourceDialog.vala"
			_tmp27_ = _tmp26_->message;
#line 278 "../src/SourceDialog/SourceDialog.vala"
			g_critical ("SourceDialog.vala:278: %s", _tmp27_);
#line 270 "../src/SourceDialog/SourceDialog.vala"
			_g_error_free0 (_error_);
#line 437 "SourceDialog.c"
		}
		__finally0:
#line 270 "../src/SourceDialog/SourceDialog.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 270 "../src/SourceDialog/SourceDialog.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 270 "../src/SourceDialog/SourceDialog.vala"
			g_clear_error (&_inner_error0_);
#line 270 "../src/SourceDialog/SourceDialog.vala"
			return;
#line 448 "SourceDialog.c"
		}
#line 281 "../src/SourceDialog/SourceDialog.vala"
		_tmp28_ = e_source_get_extension (source, E_SOURCE_EXTENSION_CALENDAR);
#line 281 "../src/SourceDialog/SourceDialog.vala"
		_tmp29_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp28_, e_source_calendar_get_type (), ESourceCalendar));
#line 281 "../src/SourceDialog/SourceDialog.vala"
		cal = _tmp29_;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		_tmp30_ = cal;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		_tmp31_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp30_);
#line 282 "../src/SourceDialog/SourceDialog.vala"
		_tmp32_ = _tmp31_;
#line 282 "../src/SourceDialog/SourceDialog.vala"
		_tmp34_ = (NULL == _tmp32_) ? 0 : g_quark_from_string (_tmp32_);
#line 282 "../src/SourceDialog/SourceDialog.vala"
		g_free (_tmp32_);
#line 282 "../src/SourceDialog/SourceDialog.vala"
		if (_tmp34_ == ((0 != _tmp33_label0) ? _tmp33_label0 : (_tmp33_label0 = g_quark_from_static_string ("#da3d41")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 470 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp35_;
#line 284 "../src/SourceDialog/SourceDialog.vala"
					_tmp35_ = self->priv->color_button_red;
#line 284 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp35_, TRUE);
#line 285 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 480 "SourceDialog.c"
				}
			}
		} else if (_tmp34_ == ((0 != _tmp33_label1) ? _tmp33_label1 : (_tmp33_label1 = g_quark_from_static_string ("#f37329")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 486 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp36_;
#line 287 "../src/SourceDialog/SourceDialog.vala"
					_tmp36_ = self->priv->color_button_orange;
#line 287 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp36_, TRUE);
#line 288 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 496 "SourceDialog.c"
				}
			}
		} else if (_tmp34_ == ((0 != _tmp33_label2) ? _tmp33_label2 : (_tmp33_label2 = g_quark_from_static_string ("#e6a92a")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 502 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp37_;
#line 290 "../src/SourceDialog/SourceDialog.vala"
					_tmp37_ = self->priv->color_button_yellow;
#line 290 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp37_, TRUE);
#line 291 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 512 "SourceDialog.c"
				}
			}
		} else if (_tmp34_ == ((0 != _tmp33_label3) ? _tmp33_label3 : (_tmp33_label3 = g_quark_from_static_string ("#81c837")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 518 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp38_;
#line 293 "../src/SourceDialog/SourceDialog.vala"
					_tmp38_ = self->priv->color_button_green;
#line 293 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp38_, TRUE);
#line 294 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 528 "SourceDialog.c"
				}
			}
		} else if (_tmp34_ == ((0 != _tmp33_label4) ? _tmp33_label4 : (_tmp33_label4 = g_quark_from_static_string ("#0e9a83")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 534 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp39_;
#line 296 "../src/SourceDialog/SourceDialog.vala"
					_tmp39_ = self->priv->color_button_mint;
#line 296 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp39_, TRUE);
#line 297 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 544 "SourceDialog.c"
				}
			}
		} else if (_tmp34_ == ((0 != _tmp33_label5) ? _tmp33_label5 : (_tmp33_label5 = g_quark_from_static_string ("#3689e6")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 550 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp40_;
#line 299 "../src/SourceDialog/SourceDialog.vala"
					_tmp40_ = self->priv->color_button_blue;
#line 299 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp40_, TRUE);
#line 300 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 560 "SourceDialog.c"
				}
			}
		} else if (_tmp34_ == ((0 != _tmp33_label6) ? _tmp33_label6 : (_tmp33_label6 = g_quark_from_static_string ("#a56de2")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 566 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp41_;
#line 302 "../src/SourceDialog/SourceDialog.vala"
					_tmp41_ = self->priv->color_button_purple;
#line 302 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp41_, TRUE);
#line 303 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 576 "SourceDialog.c"
				}
			}
		} else if (_tmp34_ == ((0 != _tmp33_label7) ? _tmp33_label7 : (_tmp33_label7 = g_quark_from_static_string ("#de3e80")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 582 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp42_;
#line 305 "../src/SourceDialog/SourceDialog.vala"
					_tmp42_ = self->priv->color_button_pink;
#line 305 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp42_, TRUE);
#line 306 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 592 "SourceDialog.c"
				}
			}
		} else if (_tmp34_ == ((0 != _tmp33_label8) ? _tmp33_label8 : (_tmp33_label8 = g_quark_from_static_string ("#8a715e")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 598 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp43_;
#line 308 "../src/SourceDialog/SourceDialog.vala"
					_tmp43_ = self->priv->color_button_brown;
#line 308 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp43_, TRUE);
#line 309 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 608 "SourceDialog.c"
				}
			}
		} else if (_tmp34_ == ((0 != _tmp33_label9) ? _tmp33_label9 : (_tmp33_label9 = g_quark_from_static_string ("#667885")))) {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 614 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp44_;
#line 311 "../src/SourceDialog/SourceDialog.vala"
					_tmp44_ = self->priv->color_button_slate;
#line 311 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp44_, TRUE);
#line 312 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 624 "SourceDialog.c"
				}
			}
		} else {
#line 282 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 630 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp45_;
					ESourceCalendar* _tmp46_;
					gchar* _tmp47_;
#line 314 "../src/SourceDialog/SourceDialog.vala"
					_tmp45_ = self->priv->color_button_none;
#line 314 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp45_, TRUE);
#line 315 "../src/SourceDialog/SourceDialog.vala"
					_tmp46_ = cal;
#line 315 "../src/SourceDialog/SourceDialog.vala"
					_tmp47_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp46_);
#line 315 "../src/SourceDialog/SourceDialog.vala"
					_g_free0 (self->priv->hex_color);
#line 315 "../src/SourceDialog/SourceDialog.vala"
					self->priv->hex_color = _tmp47_;
#line 316 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 650 "SourceDialog.c"
				}
			}
		}
#line 254 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (cal);
#line 656 "SourceDialog.c"
	}
}

static gboolean
maya_view_source_dialog_tree_foreach (MayaViewSourceDialog* self,
                                      GtkTreeModel* model,
                                      GtkTreePath* path,
                                      GtkTreeIter* iter)
{
	GValue backend = {0};
	GtkListStore* _tmp0_;
	GtkTreeIter _tmp1_;
	GValue _tmp2_ = {0};
	MayaBackend* current_backend = NULL;
	GValue _tmp3_;
	MayaBackend* _tmp4_;
	MayaBackend* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	ESource* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gboolean _tmp11_;
	gboolean result;
#line 322 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 322 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 322 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 322 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 324 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->list_store;
#line 324 "../src/SourceDialog/SourceDialog.vala"
	_tmp1_ = *iter;
#line 324 "../src/SourceDialog/SourceDialog.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp0_, &_tmp1_, 1, &_tmp2_);
#line 324 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 324 "../src/SourceDialog/SourceDialog.vala"
	backend = _tmp2_;
#line 325 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = backend;
#line 325 "../src/SourceDialog/SourceDialog.vala"
	_tmp4_ = _g_object_ref0 (g_value_get_object (&_tmp3_));
#line 325 "../src/SourceDialog/SourceDialog.vala"
	current_backend = _tmp4_;
#line 326 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = current_backend;
#line 326 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = maya_backend_get_uid (_tmp5_);
#line 326 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = _tmp6_;
#line 326 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = self->priv->source;
#line 326 "../src/SourceDialog/SourceDialog.vala"
	_tmp9_ = e_source_dup_parent (_tmp8_);
#line 326 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = _tmp9_;
#line 326 "../src/SourceDialog/SourceDialog.vala"
	_tmp11_ = g_strcmp0 (_tmp7_, _tmp10_) == 0;
#line 326 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp10_);
#line 326 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp7_);
#line 326 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp11_) {
#line 725 "SourceDialog.c"
		GtkComboBox* _tmp12_;
		GtkTreeIter _tmp13_;
		GtkComboBox* _tmp14_;
#line 327 "../src/SourceDialog/SourceDialog.vala"
		_tmp12_ = self->priv->type_combobox;
#line 327 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = *iter;
#line 327 "../src/SourceDialog/SourceDialog.vala"
		gtk_combo_box_set_active_iter (_tmp12_, &_tmp13_);
#line 328 "../src/SourceDialog/SourceDialog.vala"
		_tmp14_ = self->priv->type_combobox;
#line 328 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp14_, TRUE);
#line 329 "../src/SourceDialog/SourceDialog.vala"
		result = TRUE;
#line 329 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (current_backend);
#line 329 "../src/SourceDialog/SourceDialog.vala"
		G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 329 "../src/SourceDialog/SourceDialog.vala"
		return result;
#line 747 "SourceDialog.c"
	}
#line 332 "../src/SourceDialog/SourceDialog.vala"
	result = FALSE;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (current_backend);
#line 332 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	return result;
#line 757 "SourceDialog.c"
}

static void
maya_view_source_dialog_remove_backend_widgets (MayaViewSourceDialog* self)
{
	GeeCollection* _tmp0_;
	GeeCollection* _tmp10_;
#line 335 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 336 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->backend_widgets;
#line 336 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp0_ == NULL) {
#line 337 "../src/SourceDialog/SourceDialog.vala"
		return;
#line 773 "SourceDialog.c"
	}
	{
		GeeIterator* _widget_it = NULL;
		GeeCollection* _tmp1_;
		GeeIterator* _tmp2_;
#line 339 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->backend_widgets;
#line 339 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 339 "../src/SourceDialog/SourceDialog.vala"
		_widget_it = _tmp2_;
#line 339 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 787 "SourceDialog.c"
			GeeIterator* _tmp3_;
			MayaPlacementWidget* widget = NULL;
			GeeIterator* _tmp4_;
			gpointer _tmp5_;
			MayaPlacementWidget* _tmp6_;
			GtkWidget* _tmp7_;
			MayaPlacementWidget* _tmp8_;
			GtkWidget* _tmp9_;
#line 339 "../src/SourceDialog/SourceDialog.vala"
			_tmp3_ = _widget_it;
#line 339 "../src/SourceDialog/SourceDialog.vala"
			if (!gee_iterator_next (_tmp3_)) {
#line 339 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 802 "SourceDialog.c"
			}
#line 339 "../src/SourceDialog/SourceDialog.vala"
			_tmp4_ = _widget_it;
#line 339 "../src/SourceDialog/SourceDialog.vala"
			_tmp5_ = gee_iterator_get (_tmp4_);
#line 339 "../src/SourceDialog/SourceDialog.vala"
			widget = (MayaPlacementWidget*) _tmp5_;
#line 340 "../src/SourceDialog/SourceDialog.vala"
			_tmp6_ = widget;
#line 340 "../src/SourceDialog/SourceDialog.vala"
			_tmp7_ = _tmp6_->widget;
#line 340 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_hide (_tmp7_);
#line 341 "../src/SourceDialog/SourceDialog.vala"
			_tmp8_ = widget;
#line 341 "../src/SourceDialog/SourceDialog.vala"
			_tmp9_ = _tmp8_->widget;
#line 341 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_destroy (_tmp9_);
#line 339 "../src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (widget);
#line 824 "SourceDialog.c"
		}
#line 339 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_widget_it);
#line 828 "SourceDialog.c"
	}
#line 344 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = self->priv->backend_widgets;
#line 344 "../src/SourceDialog/SourceDialog.vala"
	gee_collection_clear (_tmp10_);
#line 834 "SourceDialog.c"
}

static Block24Data*
block24_data_ref (Block24Data* _data24_)
{
#line 349 "../src/SourceDialog/SourceDialog.vala"
	g_atomic_int_inc (&_data24_->_ref_count_);
#line 349 "../src/SourceDialog/SourceDialog.vala"
	return _data24_;
#line 844 "SourceDialog.c"
}

static void
block24_data_unref (void * _userdata_)
{
	Block24Data* _data24_;
	_data24_ = (Block24Data*) _userdata_;
#line 349 "../src/SourceDialog/SourceDialog.vala"
	if (g_atomic_int_dec_and_test (&_data24_->_ref_count_)) {
#line 854 "SourceDialog.c"
		MayaViewSourceDialog* self;
#line 349 "../src/SourceDialog/SourceDialog.vala"
		self = _data24_->self;
#line 349 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_data24_->widget);
#line 349 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (self);
#line 349 "../src/SourceDialog/SourceDialog.vala"
		g_slice_free (Block24Data, _data24_);
#line 864 "SourceDialog.c"
	}
}

static void
_____lambda156_ (Block24Data* _data24_)
{
	MayaViewSourceDialog* self;
	MayaPlacementWidget* _tmp0_;
#line 353 "../src/SourceDialog/SourceDialog.vala"
	self = _data24_->self;
#line 353 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = _data24_->widget;
#line 353 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_entry_changed (self, _tmp0_);
#line 879 "SourceDialog.c"
}

static void
______lambda156__gtk_editable_changed (GtkEditable* _sender,
                                       gpointer self)
{
#line 353 "../src/SourceDialog/SourceDialog.vala"
	_____lambda156_ (self);
#line 888 "SourceDialog.c"
}

static void
maya_view_source_dialog_add_backend_widgets (MayaViewSourceDialog* self)
{
	GeeHashMap* _tmp0_;
#line 347 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 348 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->widgets_checked;
#line 348 "../src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 901 "SourceDialog.c"
	{
		GeeIterator* _widget_it = NULL;
		GeeCollection* _tmp1_;
		GeeIterator* _tmp2_;
#line 349 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->backend_widgets;
#line 349 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 349 "../src/SourceDialog/SourceDialog.vala"
		_widget_it = _tmp2_;
#line 349 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 914 "SourceDialog.c"
			Block24Data* _data24_;
			GeeIterator* _tmp3_;
			GeeIterator* _tmp4_;
			gpointer _tmp5_;
			GtkGrid* _tmp6_;
			MayaPlacementWidget* _tmp7_;
			GtkWidget* _tmp8_;
			MayaPlacementWidget* _tmp9_;
			MayaPlacementWidget* _tmp10_;
			gboolean _tmp11_ = FALSE;
			MayaPlacementWidget* _tmp12_;
			MayaPlacementWidget* _tmp26_;
			GtkWidget* _tmp27_;
#line 349 "../src/SourceDialog/SourceDialog.vala"
			_data24_ = g_slice_new0 (Block24Data);
#line 349 "../src/SourceDialog/SourceDialog.vala"
			_data24_->_ref_count_ = 1;
#line 349 "../src/SourceDialog/SourceDialog.vala"
			_data24_->self = g_object_ref (self);
#line 349 "../src/SourceDialog/SourceDialog.vala"
			_tmp3_ = _widget_it;
#line 349 "../src/SourceDialog/SourceDialog.vala"
			if (!gee_iterator_next (_tmp3_)) {
#line 349 "../src/SourceDialog/SourceDialog.vala"
				block24_data_unref (_data24_);
#line 349 "../src/SourceDialog/SourceDialog.vala"
				_data24_ = NULL;
#line 349 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 944 "SourceDialog.c"
			}
#line 349 "../src/SourceDialog/SourceDialog.vala"
			_tmp4_ = _widget_it;
#line 349 "../src/SourceDialog/SourceDialog.vala"
			_tmp5_ = gee_iterator_get (_tmp4_);
#line 349 "../src/SourceDialog/SourceDialog.vala"
			_data24_->widget = (MayaPlacementWidget*) _tmp5_;
#line 350 "../src/SourceDialog/SourceDialog.vala"
			_tmp6_ = self->priv->main_grid;
#line 350 "../src/SourceDialog/SourceDialog.vala"
			_tmp7_ = _data24_->widget;
#line 350 "../src/SourceDialog/SourceDialog.vala"
			_tmp8_ = _tmp7_->widget;
#line 350 "../src/SourceDialog/SourceDialog.vala"
			_tmp9_ = _data24_->widget;
#line 350 "../src/SourceDialog/SourceDialog.vala"
			_tmp10_ = _data24_->widget;
#line 350 "../src/SourceDialog/SourceDialog.vala"
			gtk_grid_attach (_tmp6_, _tmp8_, _tmp9_->column, 4 + _tmp10_->row, 1, 1);
#line 351 "../src/SourceDialog/SourceDialog.vala"
			_tmp12_ = _data24_->widget;
#line 351 "../src/SourceDialog/SourceDialog.vala"
			if (_tmp12_->needed == TRUE) {
#line 968 "SourceDialog.c"
				MayaPlacementWidget* _tmp13_;
				GtkWidget* _tmp14_;
#line 351 "../src/SourceDialog/SourceDialog.vala"
				_tmp13_ = _data24_->widget;
#line 351 "../src/SourceDialog/SourceDialog.vala"
				_tmp14_ = _tmp13_->widget;
#line 351 "../src/SourceDialog/SourceDialog.vala"
				_tmp11_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, gtk_entry_get_type ());
#line 977 "SourceDialog.c"
			} else {
#line 351 "../src/SourceDialog/SourceDialog.vala"
				_tmp11_ = FALSE;
#line 981 "SourceDialog.c"
			}
#line 351 "../src/SourceDialog/SourceDialog.vala"
			if (_tmp11_) {
#line 985 "SourceDialog.c"
				GtkEntry* entry = NULL;
				MayaPlacementWidget* _tmp15_;
				GtkWidget* _tmp16_;
				GtkEntry* _tmp17_;
				GtkEntry* _tmp18_;
				GeeHashMap* _tmp19_;
				MayaPlacementWidget* _tmp20_;
				const gchar* _tmp21_;
				MayaPlacementWidget* _tmp22_;
				GtkWidget* _tmp23_;
				const gchar* _tmp24_;
				const gchar* _tmp25_;
#line 352 "../src/SourceDialog/SourceDialog.vala"
				_tmp15_ = _data24_->widget;
#line 352 "../src/SourceDialog/SourceDialog.vala"
				_tmp16_ = _tmp15_->widget;
#line 352 "../src/SourceDialog/SourceDialog.vala"
				_tmp17_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp16_, gtk_entry_get_type ()) ? ((GtkEntry*) _tmp16_) : NULL);
#line 352 "../src/SourceDialog/SourceDialog.vala"
				entry = _tmp17_;
#line 353 "../src/SourceDialog/SourceDialog.vala"
				_tmp18_ = entry;
#line 353 "../src/SourceDialog/SourceDialog.vala"
				g_signal_connect_data ((GtkEditable*) _tmp18_, "changed", (GCallback) ______lambda156__gtk_editable_changed, block24_data_ref (_data24_), (GClosureNotify) block24_data_unref, 0);
#line 354 "../src/SourceDialog/SourceDialog.vala"
				_tmp19_ = self->priv->widgets_checked;
#line 354 "../src/SourceDialog/SourceDialog.vala"
				_tmp20_ = _data24_->widget;
#line 354 "../src/SourceDialog/SourceDialog.vala"
				_tmp21_ = _tmp20_->ref_name;
#line 354 "../src/SourceDialog/SourceDialog.vala"
				_tmp22_ = _data24_->widget;
#line 354 "../src/SourceDialog/SourceDialog.vala"
				_tmp23_ = _tmp22_->widget;
#line 354 "../src/SourceDialog/SourceDialog.vala"
				_tmp24_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp23_, gtk_entry_get_type (), GtkEntry));
#line 354 "../src/SourceDialog/SourceDialog.vala"
				_tmp25_ = _tmp24_;
#line 354 "../src/SourceDialog/SourceDialog.vala"
				gee_abstract_map_set ((GeeAbstractMap*) _tmp19_, _tmp21_, (gpointer) ((gintptr) (g_strcmp0 (_tmp25_, "") != 0)));
#line 351 "../src/SourceDialog/SourceDialog.vala"
				_g_object_unref0 (entry);
#line 1028 "SourceDialog.c"
			}
#line 356 "../src/SourceDialog/SourceDialog.vala"
			_tmp26_ = _data24_->widget;
#line 356 "../src/SourceDialog/SourceDialog.vala"
			_tmp27_ = _tmp26_->widget;
#line 356 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_show (_tmp27_);
#line 349 "../src/SourceDialog/SourceDialog.vala"
			block24_data_unref (_data24_);
#line 349 "../src/SourceDialog/SourceDialog.vala"
			_data24_ = NULL;
#line 1040 "SourceDialog.c"
		}
#line 349 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_widget_it);
#line 1044 "SourceDialog.c"
	}
#line 358 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 1048 "SourceDialog.c"
}

static gchar*
string_chug (const gchar* self)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* result;
#line 1362 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1363 "glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1363 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1364 "glib-2.0.vapi"
	g_strchug (_result_);
#line 1365 "glib-2.0.vapi"
	result = _result_;
#line 1365 "glib-2.0.vapi"
	return result;
#line 1069 "SourceDialog.c"
}

static void
maya_view_source_dialog_entry_changed (MayaViewSourceDialog* self,
                                       MayaPlacementWidget* widget)
{
	GeeHashMap* _tmp0_;
	const gchar* _tmp1_;
	GeeHashMap* _tmp2_;
	const gchar* _tmp3_;
	GtkWidget* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
#line 361 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 361 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (widget != NULL);
#line 362 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->widgets_checked;
#line 362 "../src/SourceDialog/SourceDialog.vala"
	_tmp1_ = widget->ref_name;
#line 362 "../src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_unset ((GeeAbstractMap*) _tmp0_, _tmp1_, NULL);
#line 363 "../src/SourceDialog/SourceDialog.vala"
	_tmp2_ = self->priv->widgets_checked;
#line 363 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = widget->ref_name;
#line 363 "../src/SourceDialog/SourceDialog.vala"
	_tmp4_ = widget->widget;
#line 363 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_entry_get_type (), GtkEntry));
#line 363 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = _tmp5_;
#line 363 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = string_chug (_tmp6_);
#line 363 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = _tmp7_;
#line 363 "../src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp2_, _tmp3_, (gpointer) ((gintptr) (g_utf8_strlen (_tmp8_, (gssize) -1) > 0)));
#line 363 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp8_);
#line 364 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 1115 "SourceDialog.c"
}

static void
maya_view_source_dialog_check_can_validate (MayaViewSourceDialog* self)
{
	GtkEntry* _tmp10_;
	const gchar* _tmp11_;
	const gchar* _tmp12_;
#line 367 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 1126 "SourceDialog.c"
	{
		GeeIterator* _valid_it = NULL;
		GeeHashMap* _tmp0_;
		GeeCollection* _tmp1_;
		GeeCollection* _tmp2_;
		GeeCollection* _tmp3_;
		GeeIterator* _tmp4_;
		GeeIterator* _tmp5_;
#line 368 "../src/SourceDialog/SourceDialog.vala"
		_tmp0_ = self->priv->widgets_checked;
#line 368 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = gee_abstract_map_get_values ((GeeAbstractMap*) _tmp0_);
#line 368 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = _tmp1_;
#line 368 "../src/SourceDialog/SourceDialog.vala"
		_tmp3_ = _tmp2_;
#line 368 "../src/SourceDialog/SourceDialog.vala"
		_tmp4_ = gee_iterable_iterator ((GeeIterable*) _tmp3_);
#line 368 "../src/SourceDialog/SourceDialog.vala"
		_tmp5_ = _tmp4_;
#line 368 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_tmp3_);
#line 368 "../src/SourceDialog/SourceDialog.vala"
		_valid_it = _tmp5_;
#line 368 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 1153 "SourceDialog.c"
			GeeIterator* _tmp6_;
			gboolean valid = FALSE;
			GeeIterator* _tmp7_;
			gpointer _tmp8_;
#line 368 "../src/SourceDialog/SourceDialog.vala"
			_tmp6_ = _valid_it;
#line 368 "../src/SourceDialog/SourceDialog.vala"
			if (!gee_iterator_next (_tmp6_)) {
#line 368 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 1164 "SourceDialog.c"
			}
#line 368 "../src/SourceDialog/SourceDialog.vala"
			_tmp7_ = _valid_it;
#line 368 "../src/SourceDialog/SourceDialog.vala"
			_tmp8_ = gee_iterator_get (_tmp7_);
#line 368 "../src/SourceDialog/SourceDialog.vala"
			valid = (gboolean) ((gintptr) _tmp8_);
#line 369 "../src/SourceDialog/SourceDialog.vala"
			if (valid == FALSE) {
#line 1174 "SourceDialog.c"
				GtkButton* _tmp9_;
#line 370 "../src/SourceDialog/SourceDialog.vala"
				_tmp9_ = self->priv->create_button;
#line 370 "../src/SourceDialog/SourceDialog.vala"
				gtk_widget_set_sensitive ((GtkWidget*) _tmp9_, FALSE);
#line 371 "../src/SourceDialog/SourceDialog.vala"
				_g_object_unref0 (_valid_it);
#line 371 "../src/SourceDialog/SourceDialog.vala"
				return;
#line 1184 "SourceDialog.c"
			}
		}
#line 368 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_valid_it);
#line 1189 "SourceDialog.c"
	}
#line 375 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = self->priv->name_entry;
#line 375 "../src/SourceDialog/SourceDialog.vala"
	_tmp11_ = gtk_entry_get_text (_tmp10_);
#line 375 "../src/SourceDialog/SourceDialog.vala"
	_tmp12_ = _tmp11_;
#line 375 "../src/SourceDialog/SourceDialog.vala"
	if (g_strcmp0 (_tmp12_, "") != 0) {
#line 1199 "SourceDialog.c"
		GtkButton* _tmp13_;
#line 376 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = self->priv->create_button;
#line 376 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp13_, TRUE);
#line 1205 "SourceDialog.c"
	}
}

void
maya_view_source_dialog_save (MayaViewSourceDialog* self)
{
	MayaViewEventType _tmp0_;
#line 380 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 381 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->_event_type;
#line 381 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp0_ == MAYA_VIEW_EVENT_TYPE_ADD) {
#line 1219 "SourceDialog.c"
		MayaBackend* _tmp1_;
		GtkEntry* _tmp2_;
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		GtkCheckButton* _tmp6_;
		gboolean _tmp7_;
		gboolean _tmp8_;
		GeeCollection* _tmp9_;
#line 382 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->current_backend;
#line 382 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = self->priv->name_entry;
#line 382 "../src/SourceDialog/SourceDialog.vala"
		_tmp3_ = gtk_entry_get_text (_tmp2_);
#line 382 "../src/SourceDialog/SourceDialog.vala"
		_tmp4_ = _tmp3_;
#line 382 "../src/SourceDialog/SourceDialog.vala"
		_tmp5_ = self->priv->hex_color;
#line 382 "../src/SourceDialog/SourceDialog.vala"
		_tmp6_ = self->priv->is_default_check;
#line 382 "../src/SourceDialog/SourceDialog.vala"
		_tmp7_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp6_);
#line 382 "../src/SourceDialog/SourceDialog.vala"
		_tmp8_ = _tmp7_;
#line 382 "../src/SourceDialog/SourceDialog.vala"
		_tmp9_ = self->priv->backend_widgets;
#line 382 "../src/SourceDialog/SourceDialog.vala"
		maya_backend_add_new_calendar (_tmp1_, _tmp4_, _tmp5_, _tmp8_, _tmp9_);
#line 383 "../src/SourceDialog/SourceDialog.vala"
		g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1251 "SourceDialog.c"
	} else {
		MayaBackend* _tmp10_;
		GtkEntry* _tmp11_;
		const gchar* _tmp12_;
		const gchar* _tmp13_;
		const gchar* _tmp14_;
		GtkCheckButton* _tmp15_;
		gboolean _tmp16_;
		gboolean _tmp17_;
		GeeCollection* _tmp18_;
		ESource* _tmp19_;
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp10_ = self->priv->current_backend;
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp11_ = self->priv->name_entry;
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp12_ = gtk_entry_get_text (_tmp11_);
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = _tmp12_;
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp14_ = self->priv->hex_color;
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp15_ = self->priv->is_default_check;
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp16_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp15_);
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp17_ = _tmp16_;
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp18_ = self->priv->backend_widgets;
#line 385 "../src/SourceDialog/SourceDialog.vala"
		_tmp19_ = self->priv->source;
#line 385 "../src/SourceDialog/SourceDialog.vala"
		maya_backend_modify_calendar (_tmp10_, _tmp13_, _tmp14_, _tmp17_, _tmp18_, _tmp19_);
#line 386 "../src/SourceDialog/SourceDialog.vala"
		g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1287 "SourceDialog.c"
	}
}

MayaViewSourceDialog*
maya_view_source_dialog_construct (GType object_type)
{
	MayaViewSourceDialog * self = NULL;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	self = (MayaViewSourceDialog*) g_object_new (object_type, NULL);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	return self;
#line 1299 "SourceDialog.c"
}

MayaViewSourceDialog*
maya_view_source_dialog_new (void)
{
#line 22 "../src/SourceDialog/SourceDialog.vala"
	return maya_view_source_dialog_construct (MAYA_VIEW_TYPE_SOURCE_DIALOG);
#line 1307 "SourceDialog.c"
}

MayaViewEventType
maya_view_source_dialog_get_event_type (MayaViewSourceDialog* self)
{
	MayaViewEventType result;
#line 23 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	result = self->priv->_event_type;
#line 23 "../src/SourceDialog/SourceDialog.vala"
	return result;
#line 1320 "SourceDialog.c"
}

static void
maya_view_source_dialog_set_event_type (MayaViewSourceDialog* self,
                                        MayaViewEventType value)
{
	MayaViewEventType old_value;
#line 23 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	old_value = maya_view_source_dialog_get_event_type (self);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	if (old_value != value) {
#line 23 "../src/SourceDialog/SourceDialog.vala"
		self->priv->_event_type = value;
#line 23 "../src/SourceDialog/SourceDialog.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_source_dialog_properties[MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY]);
#line 1338 "SourceDialog.c"
	}
}

static void
_maya_view_source_dialog_save_gtk_button_clicked (GtkButton* _sender,
                                                  gpointer self)
{
#line 57 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_save ((MayaViewSourceDialog*) self);
#line 1348 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda157_ (MayaViewSourceDialog* self)
{
#line 58 "../src/SourceDialog/SourceDialog.vala"
	g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1356 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda157__gtk_button_clicked (GtkButton* _sender,
                                                           gpointer self)
{
#line 58 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda157_ ((MayaViewSourceDialog*) self);
#line 1365 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda158_ (MayaViewSourceDialog* self)
{
#line 71 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 1373 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda158__gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self)
{
#line 71 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda158_ ((MayaViewSourceDialog*) self);
#line 1382 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda159_ (MayaViewSourceDialog* self)
{
	GValue backend = {0};
	GtkTreeIter b_iter = {0};
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_;
	GtkTreeIter _tmp3_;
	GValue _tmp4_ = {0};
	GValue _tmp5_;
	MayaBackend* _tmp6_;
	GValue _tmp7_;
	ESource* _tmp8_;
	GeeCollection* _tmp9_;
#line 85 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->type_combobox;
#line 85 "../src/SourceDialog/SourceDialog.vala"
	gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 85 "../src/SourceDialog/SourceDialog.vala"
	b_iter = _tmp1_;
#line 86 "../src/SourceDialog/SourceDialog.vala"
	_tmp2_ = self->priv->list_store;
#line 86 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = b_iter;
#line 86 "../src/SourceDialog/SourceDialog.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp2_, &_tmp3_, 1, &_tmp4_);
#line 86 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 86 "../src/SourceDialog/SourceDialog.vala"
	backend = _tmp4_;
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = backend;
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = _g_object_ref0 (g_value_get_object (&_tmp5_));
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->current_backend);
#line 87 "../src/SourceDialog/SourceDialog.vala"
	self->priv->current_backend = _tmp6_;
#line 88 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_remove_backend_widgets (self);
#line 89 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = backend;
#line 89 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = self->priv->source;
#line 89 "../src/SourceDialog/SourceDialog.vala"
	_tmp9_ = maya_backend_get_new_calendar_widget (g_value_get_object (&_tmp7_), _tmp8_);
#line 89 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->backend_widgets);
#line 89 "../src/SourceDialog/SourceDialog.vala"
	self->priv->backend_widgets = _tmp9_;
#line 90 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_add_backend_widgets (self);
#line 82 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 1440 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda159__gtk_combo_box_changed (GtkComboBox* _sender,
                                                              gpointer self)
{
#line 82 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda159_ ((MayaViewSourceDialog*) self);
#line 1449 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda160_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 193 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#da3d41");
#line 193 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 193 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1462 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda160__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 192 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda160_ ((MayaViewSourceDialog*) self);
#line 1471 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda161_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 197 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#f37329");
#line 197 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 197 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1484 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda161__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 196 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda161_ ((MayaViewSourceDialog*) self);
#line 1493 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda162_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 201 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#e6a92a");
#line 201 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 201 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1506 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda162__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 200 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda162_ ((MayaViewSourceDialog*) self);
#line 1515 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda163_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 205 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#81c837");
#line 205 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 205 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1528 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda163__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 204 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda163_ ((MayaViewSourceDialog*) self);
#line 1537 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda164_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 209 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#0e9a83");
#line 209 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 209 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1550 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda164__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 208 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda164_ ((MayaViewSourceDialog*) self);
#line 1559 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda165_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 213 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#3689e6");
#line 213 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 213 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1572 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda165__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 212 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda165_ ((MayaViewSourceDialog*) self);
#line 1581 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda166_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 217 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#a56de2");
#line 217 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 217 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1594 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda166__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 216 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda166_ ((MayaViewSourceDialog*) self);
#line 1603 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda167_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 221 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#de3e80");
#line 221 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 221 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1616 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda167__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 220 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda167_ ((MayaViewSourceDialog*) self);
#line 1625 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda168_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 225 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#8a715e");
#line 225 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 225 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1638 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda168__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 224 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda168_ ((MayaViewSourceDialog*) self);
#line 1647 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda169_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 229 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#667885");
#line 229 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 229 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1660 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda169__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 228 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda169_ ((MayaViewSourceDialog*) self);
#line 1669 "SourceDialog.c"
}

static GObject *
maya_view_source_dialog_constructor (GType type,
                                     guint n_construct_properties,
                                     GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	MayaViewSourceDialog * self;
	GeeHashMap* _tmp0_;
	GtkButton* cancel_button = NULL;
	GtkButton* _tmp1_;
	GtkButton* _tmp2_;
	GtkButton* _tmp3_;
	GtkButton* _tmp4_;
	GtkButtonBox* buttonbox = NULL;
	GtkButtonBox* _tmp5_;
	GtkButtonBox* _tmp6_;
	GtkButtonBox* _tmp7_;
	GtkButtonBox* _tmp8_;
	GtkButton* _tmp9_;
	GtkButtonBox* _tmp10_;
	GtkButton* _tmp11_;
	GtkLabel* name_label = NULL;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	GtkEntry* _tmp14_;
	GtkEntry* _tmp15_;
	GtkEntry* _tmp16_;
	GtkListStore* _tmp17_;
	GtkCellRendererText* renderer = NULL;
	GtkCellRendererText* _tmp18_;
	GtkListStore* _tmp19_;
	GtkComboBox* _tmp20_;
	GtkComboBox* _tmp21_;
	GtkComboBox* _tmp22_;
	GtkCellRendererText* _tmp23_;
	GtkComboBox* _tmp24_;
	GtkCellRendererText* _tmp25_;
	GtkComboBox* _tmp26_;
	GtkLabel* type_label = NULL;
	GtkLabel* _tmp27_;
	GtkLabel* _tmp28_;
	GtkTreeIter iter = {0};
	MayaBackendsManager* backends_manager = NULL;
	MayaBackendsManager* _tmp29_;
	MayaBackendsManager* _tmp48_;
	GeeArrayList* _tmp49_;
	gint _tmp50_;
	gint _tmp51_;
	GtkComboBox* _tmp54_;
	GtkLabel* color_label = NULL;
	GtkLabel* _tmp55_;
	GtkLabel* _tmp56_;
	GtkRadioButton* _tmp57_;
	GtkStyleContext* color_button_blue_context = NULL;
	GtkRadioButton* _tmp58_;
	GtkStyleContext* _tmp59_;
	GtkStyleContext* _tmp60_;
	GtkStyleContext* _tmp61_;
	GtkStyleContext* _tmp62_;
	GtkRadioButton* _tmp63_;
	GtkRadioButton* _tmp64_;
	GtkStyleContext* color_button_mint_context = NULL;
	GtkRadioButton* _tmp65_;
	GtkStyleContext* _tmp66_;
	GtkStyleContext* _tmp67_;
	GtkStyleContext* _tmp68_;
	GtkStyleContext* _tmp69_;
	GtkRadioButton* _tmp70_;
	GtkRadioButton* _tmp71_;
	GtkStyleContext* color_button_green_context = NULL;
	GtkRadioButton* _tmp72_;
	GtkStyleContext* _tmp73_;
	GtkStyleContext* _tmp74_;
	GtkStyleContext* _tmp75_;
	GtkStyleContext* _tmp76_;
	GtkRadioButton* _tmp77_;
	GtkRadioButton* _tmp78_;
	GtkStyleContext* color_button_yellow_context = NULL;
	GtkRadioButton* _tmp79_;
	GtkStyleContext* _tmp80_;
	GtkStyleContext* _tmp81_;
	GtkStyleContext* _tmp82_;
	GtkStyleContext* _tmp83_;
	GtkRadioButton* _tmp84_;
	GtkRadioButton* _tmp85_;
	GtkStyleContext* color_button_orange_context = NULL;
	GtkRadioButton* _tmp86_;
	GtkStyleContext* _tmp87_;
	GtkStyleContext* _tmp88_;
	GtkStyleContext* _tmp89_;
	GtkStyleContext* _tmp90_;
	GtkRadioButton* _tmp91_;
	GtkRadioButton* _tmp92_;
	GtkStyleContext* color_button_red_context = NULL;
	GtkRadioButton* _tmp93_;
	GtkStyleContext* _tmp94_;
	GtkStyleContext* _tmp95_;
	GtkStyleContext* _tmp96_;
	GtkStyleContext* _tmp97_;
	GtkRadioButton* _tmp98_;
	GtkRadioButton* _tmp99_;
	GtkStyleContext* color_button_pink_context = NULL;
	GtkRadioButton* _tmp100_;
	GtkStyleContext* _tmp101_;
	GtkStyleContext* _tmp102_;
	GtkStyleContext* _tmp103_;
	GtkStyleContext* _tmp104_;
	GtkRadioButton* _tmp105_;
	GtkRadioButton* _tmp106_;
	GtkStyleContext* color_button_purple_context = NULL;
	GtkRadioButton* _tmp107_;
	GtkStyleContext* _tmp108_;
	GtkStyleContext* _tmp109_;
	GtkStyleContext* _tmp110_;
	GtkStyleContext* _tmp111_;
	GtkRadioButton* _tmp112_;
	GtkRadioButton* _tmp113_;
	GtkStyleContext* color_button_brown_context = NULL;
	GtkRadioButton* _tmp114_;
	GtkStyleContext* _tmp115_;
	GtkStyleContext* _tmp116_;
	GtkStyleContext* _tmp117_;
	GtkStyleContext* _tmp118_;
	GtkRadioButton* _tmp119_;
	GtkRadioButton* _tmp120_;
	GtkStyleContext* color_button_slate_context = NULL;
	GtkRadioButton* _tmp121_;
	GtkStyleContext* _tmp122_;
	GtkStyleContext* _tmp123_;
	GtkStyleContext* _tmp124_;
	GtkStyleContext* _tmp125_;
	GtkRadioButton* _tmp126_;
	GtkRadioButton* _tmp127_;
	GtkGrid* color_grid = NULL;
	GtkGrid* _tmp128_ = NULL;
	GtkGrid* _tmp129_;
	GtkRadioButton* _tmp130_;
	GtkGrid* _tmp131_;
	GtkRadioButton* _tmp132_;
	GtkGrid* _tmp133_;
	GtkRadioButton* _tmp134_;
	GtkGrid* _tmp135_;
	GtkRadioButton* _tmp136_;
	GtkGrid* _tmp137_;
	GtkRadioButton* _tmp138_;
	GtkGrid* _tmp139_;
	GtkRadioButton* _tmp140_;
	GtkGrid* _tmp141_;
	GtkRadioButton* _tmp142_;
	GtkGrid* _tmp143_;
	GtkRadioButton* _tmp144_;
	GtkGrid* _tmp145_;
	GtkRadioButton* _tmp146_;
	GtkGrid* _tmp147_;
	GtkRadioButton* _tmp148_;
	GtkCheckButton* _tmp149_;
	GtkRadioButton* _tmp150_;
	GtkRadioButton* _tmp151_;
	GtkRadioButton* _tmp152_;
	GtkRadioButton* _tmp153_;
	GtkRadioButton* _tmp154_;
	GtkRadioButton* _tmp155_;
	GtkRadioButton* _tmp156_;
	GtkRadioButton* _tmp157_;
	GtkRadioButton* _tmp158_;
	GtkRadioButton* _tmp159_;
	GtkGrid* _tmp160_;
	GtkGrid* _tmp161_;
	GtkGrid* _tmp162_;
	GtkGrid* _tmp163_;
	GtkLabel* _tmp164_;
	GtkGrid* _tmp165_;
	GtkComboBox* _tmp166_;
	GtkGrid* _tmp167_;
	GtkLabel* _tmp168_;
	GtkGrid* _tmp169_;
	GtkEntry* _tmp170_;
	GtkGrid* _tmp171_;
	GtkLabel* _tmp172_;
	GtkGrid* _tmp173_;
	GtkGrid* _tmp174_;
	GtkGrid* _tmp175_;
	GtkCheckButton* _tmp176_;
	GtkGrid* _tmp177_;
	GtkButtonBox* _tmp178_;
#line 51 "../src/SourceDialog/SourceDialog.vala"
	parent_class = G_OBJECT_CLASS (maya_view_source_dialog_parent_class);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 52 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_BOOLEAN, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 52 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->widgets_checked);
#line 52 "../src/SourceDialog/SourceDialog.vala"
	self->priv->widgets_checked = _tmp0_;
#line 54 "../src/SourceDialog/SourceDialog.vala"
	_tmp1_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 54 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 54 "../src/SourceDialog/SourceDialog.vala"
	cancel_button = _tmp1_;
#line 55 "../src/SourceDialog/SourceDialog.vala"
	_tmp2_ = (GtkButton*) gtk_button_new_with_label (_ ("Create"));
#line 55 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp2_);
#line 55 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->create_button);
#line 55 "../src/SourceDialog/SourceDialog.vala"
	self->priv->create_button = _tmp2_;
#line 57 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = self->priv->create_button;
#line 57 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp3_, "clicked", (GCallback) _maya_view_source_dialog_save_gtk_button_clicked, self, 0);
#line 58 "../src/SourceDialog/SourceDialog.vala"
	_tmp4_ = cancel_button;
#line 58 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp4_, "clicked", (GCallback) __maya_view_source_dialog___lambda157__gtk_button_clicked, self, 0);
#line 60 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 60 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp5_);
#line 60 "../src/SourceDialog/SourceDialog.vala"
	buttonbox = _tmp5_;
#line 61 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = buttonbox;
#line 61 "../src/SourceDialog/SourceDialog.vala"
	g_object_set (_tmp6_, "layout-style", GTK_BUTTONBOX_END, NULL);
#line 62 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = buttonbox;
#line 62 "../src/SourceDialog/SourceDialog.vala"
	gtk_box_set_spacing ((GtkBox*) _tmp7_, 6);
#line 63 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = buttonbox;
#line 63 "../src/SourceDialog/SourceDialog.vala"
	_tmp9_ = cancel_button;
#line 63 "../src/SourceDialog/SourceDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp8_, (GtkWidget*) _tmp9_, TRUE, TRUE, (guint) 0);
#line 64 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = buttonbox;
#line 64 "../src/SourceDialog/SourceDialog.vala"
	_tmp11_ = self->priv->create_button;
#line 64 "../src/SourceDialog/SourceDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp10_, (GtkWidget*) _tmp11_, TRUE, TRUE, (guint) 0);
#line 66 "../src/SourceDialog/SourceDialog.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_ ("Name:"));
#line 66 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 66 "../src/SourceDialog/SourceDialog.vala"
	name_label = _tmp12_;
#line 67 "../src/SourceDialog/SourceDialog.vala"
	_tmp13_ = name_label;
#line 67 "../src/SourceDialog/SourceDialog.vala"
	gtk_label_set_xalign (_tmp13_, (gfloat) 1);
#line 69 "../src/SourceDialog/SourceDialog.vala"
	_tmp14_ = (GtkEntry*) gtk_entry_new ();
#line 69 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp14_);
#line 69 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->name_entry);
#line 69 "../src/SourceDialog/SourceDialog.vala"
	self->priv->name_entry = _tmp14_;
#line 70 "../src/SourceDialog/SourceDialog.vala"
	_tmp15_ = self->priv->name_entry;
#line 70 "../src/SourceDialog/SourceDialog.vala"
	gtk_entry_set_placeholder_text (_tmp15_, _ ("Calendar Name"));
#line 71 "../src/SourceDialog/SourceDialog.vala"
	_tmp16_ = self->priv->name_entry;
#line 71 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp16_, "changed", (GCallback) __maya_view_source_dialog___lambda158__gtk_editable_changed, self, 0);
#line 73 "../src/SourceDialog/SourceDialog.vala"
	_tmp17_ = gtk_list_store_new (2, G_TYPE_STRING, MAYA_TYPE_BACKEND, -1);
#line 73 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->list_store);
#line 73 "../src/SourceDialog/SourceDialog.vala"
	self->priv->list_store = _tmp17_;
#line 75 "../src/SourceDialog/SourceDialog.vala"
	_tmp18_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 75 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp18_);
#line 75 "../src/SourceDialog/SourceDialog.vala"
	renderer = _tmp18_;
#line 77 "../src/SourceDialog/SourceDialog.vala"
	_tmp19_ = self->priv->list_store;
#line 77 "../src/SourceDialog/SourceDialog.vala"
	_tmp20_ = (GtkComboBox*) gtk_combo_box_new_with_model ((GtkTreeModel*) _tmp19_);
#line 77 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp20_);
#line 77 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 77 "../src/SourceDialog/SourceDialog.vala"
	self->priv->type_combobox = _tmp20_;
#line 78 "../src/SourceDialog/SourceDialog.vala"
	_tmp21_ = self->priv->type_combobox;
#line 78 "../src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp21_, TRUE);
#line 79 "../src/SourceDialog/SourceDialog.vala"
	_tmp22_ = self->priv->type_combobox;
#line 79 "../src/SourceDialog/SourceDialog.vala"
	_tmp23_ = renderer;
#line 79 "../src/SourceDialog/SourceDialog.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp22_, (GtkCellRenderer*) _tmp23_, TRUE);
#line 80 "../src/SourceDialog/SourceDialog.vala"
	_tmp24_ = self->priv->type_combobox;
#line 80 "../src/SourceDialog/SourceDialog.vala"
	_tmp25_ = renderer;
#line 80 "../src/SourceDialog/SourceDialog.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp24_, (GtkCellRenderer*) _tmp25_, "text", 0);
#line 82 "../src/SourceDialog/SourceDialog.vala"
	_tmp26_ = self->priv->type_combobox;
#line 82 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp26_, "changed", (GCallback) __maya_view_source_dialog___lambda159__gtk_combo_box_changed, self, 0);
#line 93 "../src/SourceDialog/SourceDialog.vala"
	_tmp27_ = (GtkLabel*) gtk_label_new (_ ("Type:"));
#line 93 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp27_);
#line 93 "../src/SourceDialog/SourceDialog.vala"
	type_label = _tmp27_;
#line 94 "../src/SourceDialog/SourceDialog.vala"
	_tmp28_ = type_label;
#line 94 "../src/SourceDialog/SourceDialog.vala"
	gtk_label_set_xalign (_tmp28_, 1.0f);
#line 97 "../src/SourceDialog/SourceDialog.vala"
	_tmp29_ = maya_backends_manager_get_default ();
#line 97 "../src/SourceDialog/SourceDialog.vala"
	backends_manager = _tmp29_;
#line 2000 "SourceDialog.c"
	{
		GeeArrayList* _backend_list = NULL;
		MayaBackendsManager* _tmp30_;
		GeeArrayList* _tmp31_;
		gint _backend_size = 0;
		GeeArrayList* _tmp32_;
		gint _tmp33_;
		gint _tmp34_;
		gint _backend_index = 0;
#line 98 "../src/SourceDialog/SourceDialog.vala"
		_tmp30_ = backends_manager;
#line 98 "../src/SourceDialog/SourceDialog.vala"
		_tmp31_ = _tmp30_->backends;
#line 98 "../src/SourceDialog/SourceDialog.vala"
		_backend_list = _tmp31_;
#line 98 "../src/SourceDialog/SourceDialog.vala"
		_tmp32_ = _backend_list;
#line 98 "../src/SourceDialog/SourceDialog.vala"
		_tmp33_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp32_);
#line 98 "../src/SourceDialog/SourceDialog.vala"
		_tmp34_ = _tmp33_;
#line 98 "../src/SourceDialog/SourceDialog.vala"
		_backend_size = _tmp34_;
#line 98 "../src/SourceDialog/SourceDialog.vala"
		_backend_index = -1;
#line 98 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 2028 "SourceDialog.c"
			gint _tmp35_;
			gint _tmp36_;
			MayaBackend* backend = NULL;
			GeeArrayList* _tmp37_;
			gpointer _tmp38_;
			MayaBackend* _tmp39_;
			GtkListStore* _tmp40_;
			GtkTreeIter _tmp41_ = {0};
			GtkListStore* _tmp42_;
			GtkTreeIter _tmp43_;
			MayaBackend* _tmp44_;
			gchar* _tmp45_;
			gchar* _tmp46_;
			MayaBackend* _tmp47_;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_backend_index = _backend_index + 1;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp35_ = _backend_index;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp36_ = _backend_size;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			if (!(_tmp35_ < _tmp36_)) {
#line 98 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 2053 "SourceDialog.c"
			}
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp37_ = _backend_list;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp38_ = gee_abstract_list_get ((GeeAbstractList*) _tmp37_, _backend_index);
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp39_ = _g_object_ref0 ((MayaBackend*) _tmp38_);
#line 98 "../src/SourceDialog/SourceDialog.vala"
			backend = _tmp39_;
#line 99 "../src/SourceDialog/SourceDialog.vala"
			_tmp40_ = self->priv->list_store;
#line 99 "../src/SourceDialog/SourceDialog.vala"
			gtk_list_store_append (_tmp40_, &_tmp41_);
#line 99 "../src/SourceDialog/SourceDialog.vala"
			iter = _tmp41_;
#line 100 "../src/SourceDialog/SourceDialog.vala"
			_tmp42_ = self->priv->list_store;
#line 100 "../src/SourceDialog/SourceDialog.vala"
			_tmp43_ = iter;
#line 100 "../src/SourceDialog/SourceDialog.vala"
			_tmp44_ = backend;
#line 100 "../src/SourceDialog/SourceDialog.vala"
			_tmp45_ = maya_backend_get_name (_tmp44_);
#line 100 "../src/SourceDialog/SourceDialog.vala"
			_tmp46_ = _tmp45_;
#line 100 "../src/SourceDialog/SourceDialog.vala"
			_tmp47_ = backend;
#line 100 "../src/SourceDialog/SourceDialog.vala"
			gtk_list_store_set (_tmp42_, &_tmp43_, 0, _tmp46_, 1, _tmp47_, -1);
#line 100 "../src/SourceDialog/SourceDialog.vala"
			_g_free0 (_tmp46_);
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (backend);
#line 2087 "SourceDialog.c"
		}
	}
#line 103 "../src/SourceDialog/SourceDialog.vala"
	_tmp48_ = backends_manager;
#line 103 "../src/SourceDialog/SourceDialog.vala"
	_tmp49_ = _tmp48_->backends;
#line 103 "../src/SourceDialog/SourceDialog.vala"
	_tmp50_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp49_);
#line 103 "../src/SourceDialog/SourceDialog.vala"
	_tmp51_ = _tmp50_;
#line 103 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp51_ <= 1) {
#line 2100 "SourceDialog.c"
		GtkComboBox* _tmp52_;
		GtkLabel* _tmp53_;
#line 104 "../src/SourceDialog/SourceDialog.vala"
		_tmp52_ = self->priv->type_combobox;
#line 104 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp52_, TRUE);
#line 105 "../src/SourceDialog/SourceDialog.vala"
		_tmp53_ = type_label;
#line 105 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp53_, TRUE);
#line 2111 "SourceDialog.c"
	}
#line 108 "../src/SourceDialog/SourceDialog.vala"
	_tmp54_ = self->priv->type_combobox;
#line 108 "../src/SourceDialog/SourceDialog.vala"
	gtk_combo_box_set_active (_tmp54_, 0);
#line 110 "../src/SourceDialog/SourceDialog.vala"
	_tmp55_ = (GtkLabel*) gtk_label_new (_ ("Color:"));
#line 110 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp55_);
#line 110 "../src/SourceDialog/SourceDialog.vala"
	color_label = _tmp55_;
#line 111 "../src/SourceDialog/SourceDialog.vala"
	_tmp56_ = color_label;
#line 111 "../src/SourceDialog/SourceDialog.vala"
	gtk_label_set_xalign (_tmp56_, (gfloat) 1);
#line 113 "../src/SourceDialog/SourceDialog.vala"
	_tmp57_ = (GtkRadioButton*) gtk_radio_button_new (NULL);
#line 113 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp57_);
#line 113 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_blue);
#line 113 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_blue = _tmp57_;
#line 115 "../src/SourceDialog/SourceDialog.vala"
	_tmp58_ = self->priv->color_button_blue;
#line 115 "../src/SourceDialog/SourceDialog.vala"
	_tmp59_ = gtk_widget_get_style_context ((GtkWidget*) _tmp58_);
#line 115 "../src/SourceDialog/SourceDialog.vala"
	_tmp60_ = _g_object_ref0 (_tmp59_);
#line 115 "../src/SourceDialog/SourceDialog.vala"
	color_button_blue_context = _tmp60_;
#line 116 "../src/SourceDialog/SourceDialog.vala"
	_tmp61_ = color_button_blue_context;
#line 116 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp61_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 117 "../src/SourceDialog/SourceDialog.vala"
	_tmp62_ = color_button_blue_context;
#line 117 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp62_, "blue");
#line 119 "../src/SourceDialog/SourceDialog.vala"
	_tmp63_ = self->priv->color_button_blue;
#line 119 "../src/SourceDialog/SourceDialog.vala"
	_tmp64_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp63_);
#line 119 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp64_);
#line 119 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_mint);
#line 119 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_mint = _tmp64_;
#line 121 "../src/SourceDialog/SourceDialog.vala"
	_tmp65_ = self->priv->color_button_mint;
#line 121 "../src/SourceDialog/SourceDialog.vala"
	_tmp66_ = gtk_widget_get_style_context ((GtkWidget*) _tmp65_);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	_tmp67_ = _g_object_ref0 (_tmp66_);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	color_button_mint_context = _tmp67_;
#line 122 "../src/SourceDialog/SourceDialog.vala"
	_tmp68_ = color_button_mint_context;
#line 122 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp68_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 123 "../src/SourceDialog/SourceDialog.vala"
	_tmp69_ = color_button_mint_context;
#line 123 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp69_, "mint");
#line 125 "../src/SourceDialog/SourceDialog.vala"
	_tmp70_ = self->priv->color_button_blue;
#line 125 "../src/SourceDialog/SourceDialog.vala"
	_tmp71_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp70_);
#line 125 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp71_);
#line 125 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_green);
#line 125 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_green = _tmp71_;
#line 127 "../src/SourceDialog/SourceDialog.vala"
	_tmp72_ = self->priv->color_button_green;
#line 127 "../src/SourceDialog/SourceDialog.vala"
	_tmp73_ = gtk_widget_get_style_context ((GtkWidget*) _tmp72_);
#line 127 "../src/SourceDialog/SourceDialog.vala"
	_tmp74_ = _g_object_ref0 (_tmp73_);
#line 127 "../src/SourceDialog/SourceDialog.vala"
	color_button_green_context = _tmp74_;
#line 128 "../src/SourceDialog/SourceDialog.vala"
	_tmp75_ = color_button_green_context;
#line 128 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp75_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 129 "../src/SourceDialog/SourceDialog.vala"
	_tmp76_ = color_button_green_context;
#line 129 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp76_, "green");
#line 131 "../src/SourceDialog/SourceDialog.vala"
	_tmp77_ = self->priv->color_button_blue;
#line 131 "../src/SourceDialog/SourceDialog.vala"
	_tmp78_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp77_);
#line 131 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp78_);
#line 131 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_yellow);
#line 131 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_yellow = _tmp78_;
#line 133 "../src/SourceDialog/SourceDialog.vala"
	_tmp79_ = self->priv->color_button_yellow;
#line 133 "../src/SourceDialog/SourceDialog.vala"
	_tmp80_ = gtk_widget_get_style_context ((GtkWidget*) _tmp79_);
#line 133 "../src/SourceDialog/SourceDialog.vala"
	_tmp81_ = _g_object_ref0 (_tmp80_);
#line 133 "../src/SourceDialog/SourceDialog.vala"
	color_button_yellow_context = _tmp81_;
#line 134 "../src/SourceDialog/SourceDialog.vala"
	_tmp82_ = color_button_yellow_context;
#line 134 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp82_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 135 "../src/SourceDialog/SourceDialog.vala"
	_tmp83_ = color_button_yellow_context;
#line 135 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp83_, "yellow");
#line 137 "../src/SourceDialog/SourceDialog.vala"
	_tmp84_ = self->priv->color_button_blue;
#line 137 "../src/SourceDialog/SourceDialog.vala"
	_tmp85_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp84_);
#line 137 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp85_);
#line 137 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_orange);
#line 137 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_orange = _tmp85_;
#line 139 "../src/SourceDialog/SourceDialog.vala"
	_tmp86_ = self->priv->color_button_orange;
#line 139 "../src/SourceDialog/SourceDialog.vala"
	_tmp87_ = gtk_widget_get_style_context ((GtkWidget*) _tmp86_);
#line 139 "../src/SourceDialog/SourceDialog.vala"
	_tmp88_ = _g_object_ref0 (_tmp87_);
#line 139 "../src/SourceDialog/SourceDialog.vala"
	color_button_orange_context = _tmp88_;
#line 140 "../src/SourceDialog/SourceDialog.vala"
	_tmp89_ = color_button_orange_context;
#line 140 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp89_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 141 "../src/SourceDialog/SourceDialog.vala"
	_tmp90_ = color_button_orange_context;
#line 141 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp90_, "orange");
#line 143 "../src/SourceDialog/SourceDialog.vala"
	_tmp91_ = self->priv->color_button_blue;
#line 143 "../src/SourceDialog/SourceDialog.vala"
	_tmp92_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp91_);
#line 143 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp92_);
#line 143 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_red);
#line 143 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_red = _tmp92_;
#line 145 "../src/SourceDialog/SourceDialog.vala"
	_tmp93_ = self->priv->color_button_red;
#line 145 "../src/SourceDialog/SourceDialog.vala"
	_tmp94_ = gtk_widget_get_style_context ((GtkWidget*) _tmp93_);
#line 145 "../src/SourceDialog/SourceDialog.vala"
	_tmp95_ = _g_object_ref0 (_tmp94_);
#line 145 "../src/SourceDialog/SourceDialog.vala"
	color_button_red_context = _tmp95_;
#line 146 "../src/SourceDialog/SourceDialog.vala"
	_tmp96_ = color_button_red_context;
#line 146 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp96_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 147 "../src/SourceDialog/SourceDialog.vala"
	_tmp97_ = color_button_red_context;
#line 147 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp97_, "red");
#line 149 "../src/SourceDialog/SourceDialog.vala"
	_tmp98_ = self->priv->color_button_blue;
#line 149 "../src/SourceDialog/SourceDialog.vala"
	_tmp99_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp98_);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp99_);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_pink);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_pink = _tmp99_;
#line 151 "../src/SourceDialog/SourceDialog.vala"
	_tmp100_ = self->priv->color_button_pink;
#line 151 "../src/SourceDialog/SourceDialog.vala"
	_tmp101_ = gtk_widget_get_style_context ((GtkWidget*) _tmp100_);
#line 151 "../src/SourceDialog/SourceDialog.vala"
	_tmp102_ = _g_object_ref0 (_tmp101_);
#line 151 "../src/SourceDialog/SourceDialog.vala"
	color_button_pink_context = _tmp102_;
#line 152 "../src/SourceDialog/SourceDialog.vala"
	_tmp103_ = color_button_pink_context;
#line 152 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp103_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 153 "../src/SourceDialog/SourceDialog.vala"
	_tmp104_ = color_button_pink_context;
#line 153 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp104_, "pink");
#line 155 "../src/SourceDialog/SourceDialog.vala"
	_tmp105_ = self->priv->color_button_blue;
#line 155 "../src/SourceDialog/SourceDialog.vala"
	_tmp106_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp105_);
#line 155 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp106_);
#line 155 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_purple);
#line 155 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_purple = _tmp106_;
#line 157 "../src/SourceDialog/SourceDialog.vala"
	_tmp107_ = self->priv->color_button_purple;
#line 157 "../src/SourceDialog/SourceDialog.vala"
	_tmp108_ = gtk_widget_get_style_context ((GtkWidget*) _tmp107_);
#line 157 "../src/SourceDialog/SourceDialog.vala"
	_tmp109_ = _g_object_ref0 (_tmp108_);
#line 157 "../src/SourceDialog/SourceDialog.vala"
	color_button_purple_context = _tmp109_;
#line 158 "../src/SourceDialog/SourceDialog.vala"
	_tmp110_ = color_button_purple_context;
#line 158 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp110_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 159 "../src/SourceDialog/SourceDialog.vala"
	_tmp111_ = color_button_purple_context;
#line 159 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp111_, "purple");
#line 161 "../src/SourceDialog/SourceDialog.vala"
	_tmp112_ = self->priv->color_button_blue;
#line 161 "../src/SourceDialog/SourceDialog.vala"
	_tmp113_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp112_);
#line 161 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp113_);
#line 161 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_brown);
#line 161 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_brown = _tmp113_;
#line 163 "../src/SourceDialog/SourceDialog.vala"
	_tmp114_ = self->priv->color_button_brown;
#line 163 "../src/SourceDialog/SourceDialog.vala"
	_tmp115_ = gtk_widget_get_style_context ((GtkWidget*) _tmp114_);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	_tmp116_ = _g_object_ref0 (_tmp115_);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	color_button_brown_context = _tmp116_;
#line 164 "../src/SourceDialog/SourceDialog.vala"
	_tmp117_ = color_button_brown_context;
#line 164 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp117_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 165 "../src/SourceDialog/SourceDialog.vala"
	_tmp118_ = color_button_brown_context;
#line 165 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp118_, "brown");
#line 167 "../src/SourceDialog/SourceDialog.vala"
	_tmp119_ = self->priv->color_button_blue;
#line 167 "../src/SourceDialog/SourceDialog.vala"
	_tmp120_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp119_);
#line 167 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp120_);
#line 167 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_slate);
#line 167 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_slate = _tmp120_;
#line 169 "../src/SourceDialog/SourceDialog.vala"
	_tmp121_ = self->priv->color_button_slate;
#line 169 "../src/SourceDialog/SourceDialog.vala"
	_tmp122_ = gtk_widget_get_style_context ((GtkWidget*) _tmp121_);
#line 169 "../src/SourceDialog/SourceDialog.vala"
	_tmp123_ = _g_object_ref0 (_tmp122_);
#line 169 "../src/SourceDialog/SourceDialog.vala"
	color_button_slate_context = _tmp123_;
#line 170 "../src/SourceDialog/SourceDialog.vala"
	_tmp124_ = color_button_slate_context;
#line 170 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp124_, GRANITE_STYLE_CLASS_COLOR_BUTTON);
#line 171 "../src/SourceDialog/SourceDialog.vala"
	_tmp125_ = color_button_slate_context;
#line 171 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp125_, "slate");
#line 173 "../src/SourceDialog/SourceDialog.vala"
	_tmp126_ = self->priv->color_button_blue;
#line 173 "../src/SourceDialog/SourceDialog.vala"
	_tmp127_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp126_);
#line 173 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp127_);
#line 173 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_none);
#line 173 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_none = _tmp127_;
#line 175 "../src/SourceDialog/SourceDialog.vala"
	_tmp128_ = (GtkGrid*) gtk_grid_new ();
#line 175 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_column_spacing (_tmp128_, 3);
#line 175 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp128_);
#line 175 "../src/SourceDialog/SourceDialog.vala"
	color_grid = _tmp128_;
#line 179 "../src/SourceDialog/SourceDialog.vala"
	_tmp129_ = color_grid;
#line 179 "../src/SourceDialog/SourceDialog.vala"
	_tmp130_ = self->priv->color_button_blue;
#line 179 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp129_, (GtkWidget*) _tmp130_);
#line 180 "../src/SourceDialog/SourceDialog.vala"
	_tmp131_ = color_grid;
#line 180 "../src/SourceDialog/SourceDialog.vala"
	_tmp132_ = self->priv->color_button_mint;
#line 180 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp131_, (GtkWidget*) _tmp132_);
#line 181 "../src/SourceDialog/SourceDialog.vala"
	_tmp133_ = color_grid;
#line 181 "../src/SourceDialog/SourceDialog.vala"
	_tmp134_ = self->priv->color_button_green;
#line 181 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp133_, (GtkWidget*) _tmp134_);
#line 182 "../src/SourceDialog/SourceDialog.vala"
	_tmp135_ = color_grid;
#line 182 "../src/SourceDialog/SourceDialog.vala"
	_tmp136_ = self->priv->color_button_yellow;
#line 182 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp135_, (GtkWidget*) _tmp136_);
#line 183 "../src/SourceDialog/SourceDialog.vala"
	_tmp137_ = color_grid;
#line 183 "../src/SourceDialog/SourceDialog.vala"
	_tmp138_ = self->priv->color_button_orange;
#line 183 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp137_, (GtkWidget*) _tmp138_);
#line 184 "../src/SourceDialog/SourceDialog.vala"
	_tmp139_ = color_grid;
#line 184 "../src/SourceDialog/SourceDialog.vala"
	_tmp140_ = self->priv->color_button_red;
#line 184 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp139_, (GtkWidget*) _tmp140_);
#line 185 "../src/SourceDialog/SourceDialog.vala"
	_tmp141_ = color_grid;
#line 185 "../src/SourceDialog/SourceDialog.vala"
	_tmp142_ = self->priv->color_button_pink;
#line 185 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp141_, (GtkWidget*) _tmp142_);
#line 186 "../src/SourceDialog/SourceDialog.vala"
	_tmp143_ = color_grid;
#line 186 "../src/SourceDialog/SourceDialog.vala"
	_tmp144_ = self->priv->color_button_purple;
#line 186 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp143_, (GtkWidget*) _tmp144_);
#line 187 "../src/SourceDialog/SourceDialog.vala"
	_tmp145_ = color_grid;
#line 187 "../src/SourceDialog/SourceDialog.vala"
	_tmp146_ = self->priv->color_button_brown;
#line 187 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp145_, (GtkWidget*) _tmp146_);
#line 188 "../src/SourceDialog/SourceDialog.vala"
	_tmp147_ = color_grid;
#line 188 "../src/SourceDialog/SourceDialog.vala"
	_tmp148_ = self->priv->color_button_slate;
#line 188 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp147_, (GtkWidget*) _tmp148_);
#line 190 "../src/SourceDialog/SourceDialog.vala"
	_tmp149_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Mark as default calendar"));
#line 190 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp149_);
#line 190 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->is_default_check);
#line 190 "../src/SourceDialog/SourceDialog.vala"
	self->priv->is_default_check = _tmp149_;
#line 192 "../src/SourceDialog/SourceDialog.vala"
	_tmp150_ = self->priv->color_button_red;
#line 192 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp150_, "toggled", (GCallback) __maya_view_source_dialog___lambda160__gtk_toggle_button_toggled, self, 0);
#line 196 "../src/SourceDialog/SourceDialog.vala"
	_tmp151_ = self->priv->color_button_orange;
#line 196 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp151_, "toggled", (GCallback) __maya_view_source_dialog___lambda161__gtk_toggle_button_toggled, self, 0);
#line 200 "../src/SourceDialog/SourceDialog.vala"
	_tmp152_ = self->priv->color_button_yellow;
#line 200 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp152_, "toggled", (GCallback) __maya_view_source_dialog___lambda162__gtk_toggle_button_toggled, self, 0);
#line 204 "../src/SourceDialog/SourceDialog.vala"
	_tmp153_ = self->priv->color_button_green;
#line 204 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp153_, "toggled", (GCallback) __maya_view_source_dialog___lambda163__gtk_toggle_button_toggled, self, 0);
#line 208 "../src/SourceDialog/SourceDialog.vala"
	_tmp154_ = self->priv->color_button_mint;
#line 208 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp154_, "toggled", (GCallback) __maya_view_source_dialog___lambda164__gtk_toggle_button_toggled, self, 0);
#line 212 "../src/SourceDialog/SourceDialog.vala"
	_tmp155_ = self->priv->color_button_blue;
#line 212 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp155_, "toggled", (GCallback) __maya_view_source_dialog___lambda165__gtk_toggle_button_toggled, self, 0);
#line 216 "../src/SourceDialog/SourceDialog.vala"
	_tmp156_ = self->priv->color_button_purple;
#line 216 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp156_, "toggled", (GCallback) __maya_view_source_dialog___lambda166__gtk_toggle_button_toggled, self, 0);
#line 220 "../src/SourceDialog/SourceDialog.vala"
	_tmp157_ = self->priv->color_button_pink;
#line 220 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp157_, "toggled", (GCallback) __maya_view_source_dialog___lambda167__gtk_toggle_button_toggled, self, 0);
#line 224 "../src/SourceDialog/SourceDialog.vala"
	_tmp158_ = self->priv->color_button_brown;
#line 224 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp158_, "toggled", (GCallback) __maya_view_source_dialog___lambda168__gtk_toggle_button_toggled, self, 0);
#line 228 "../src/SourceDialog/SourceDialog.vala"
	_tmp159_ = self->priv->color_button_slate;
#line 228 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp159_, "toggled", (GCallback) __maya_view_source_dialog___lambda169__gtk_toggle_button_toggled, self, 0);
#line 232 "../src/SourceDialog/SourceDialog.vala"
	_tmp160_ = (GtkGrid*) gtk_grid_new ();
#line 232 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp160_);
#line 232 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 232 "../src/SourceDialog/SourceDialog.vala"
	self->priv->main_grid = _tmp160_;
#line 233 "../src/SourceDialog/SourceDialog.vala"
	_tmp161_ = self->priv->main_grid;
#line 233 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_row_spacing (_tmp161_, 6);
#line 234 "../src/SourceDialog/SourceDialog.vala"
	_tmp162_ = self->priv->main_grid;
#line 234 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_column_spacing (_tmp162_, 12);
#line 235 "../src/SourceDialog/SourceDialog.vala"
	_tmp163_ = self->priv->main_grid;
#line 235 "../src/SourceDialog/SourceDialog.vala"
	_tmp164_ = type_label;
#line 235 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp163_, (GtkWidget*) _tmp164_, 0, 0, 1, 1);
#line 236 "../src/SourceDialog/SourceDialog.vala"
	_tmp165_ = self->priv->main_grid;
#line 236 "../src/SourceDialog/SourceDialog.vala"
	_tmp166_ = self->priv->type_combobox;
#line 236 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp165_, (GtkWidget*) _tmp166_, 1, 0, 1, 1);
#line 237 "../src/SourceDialog/SourceDialog.vala"
	_tmp167_ = self->priv->main_grid;
#line 237 "../src/SourceDialog/SourceDialog.vala"
	_tmp168_ = name_label;
#line 237 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp167_, (GtkWidget*) _tmp168_, 0, 1, 1, 1);
#line 238 "../src/SourceDialog/SourceDialog.vala"
	_tmp169_ = self->priv->main_grid;
#line 238 "../src/SourceDialog/SourceDialog.vala"
	_tmp170_ = self->priv->name_entry;
#line 238 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp169_, (GtkWidget*) _tmp170_, 1, 1, 1, 1);
#line 239 "../src/SourceDialog/SourceDialog.vala"
	_tmp171_ = self->priv->main_grid;
#line 239 "../src/SourceDialog/SourceDialog.vala"
	_tmp172_ = color_label;
#line 239 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp171_, (GtkWidget*) _tmp172_, 0, 2, 1, 1);
#line 240 "../src/SourceDialog/SourceDialog.vala"
	_tmp173_ = self->priv->main_grid;
#line 240 "../src/SourceDialog/SourceDialog.vala"
	_tmp174_ = color_grid;
#line 240 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp173_, (GtkWidget*) _tmp174_, 1, 2, 1, 1);
#line 241 "../src/SourceDialog/SourceDialog.vala"
	_tmp175_ = self->priv->main_grid;
#line 241 "../src/SourceDialog/SourceDialog.vala"
	_tmp176_ = self->priv->is_default_check;
#line 241 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp175_, (GtkWidget*) _tmp176_, 1, 3, 1, 1);
#line 243 "../src/SourceDialog/SourceDialog.vala"
	g_object_set ((GtkWidget*) self, "margin", 12, NULL);
#line 244 "../src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) self, 8);
#line 245 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 24);
#line 246 "../src/SourceDialog/SourceDialog.vala"
	_tmp177_ = self->priv->main_grid;
#line 246 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp177_, 0, 0, 1, 1);
#line 247 "../src/SourceDialog/SourceDialog.vala"
	_tmp178_ = buttonbox;
#line 247 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp178_, 0, 1, 1, 1);
#line 249 "../src/SourceDialog/SourceDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_grid);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_slate_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_brown_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_purple_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_pink_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_red_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_orange_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_yellow_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_green_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_mint_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_blue_context);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_label);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (backends_manager);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (type_label);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (renderer);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (name_label);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (buttonbox);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (cancel_button);
#line 51 "../src/SourceDialog/SourceDialog.vala"
	return obj;
#line 2623 "SourceDialog.c"
}

static void
maya_view_source_dialog_class_init (MayaViewSourceDialogClass * klass,
                                    gpointer klass_data)
{
#line 22 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_parent_class = g_type_class_peek_parent (klass);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	g_type_class_adjust_private_offset (klass, &MayaViewSourceDialog_private_offset);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_maya_view_source_dialog_get_property;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_maya_view_source_dialog_set_property;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->constructor = maya_view_source_dialog_constructor;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_view_source_dialog_finalize;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY, maya_view_source_dialog_properties[MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY] = g_param_spec_enum ("event-type", "event-type", "event-type", MAYA_VIEW_TYPE_EVENT_TYPE, MAYA_VIEW_EVENT_TYPE_EDIT, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 22 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL] = g_signal_new ("go-back", MAYA_VIEW_TYPE_SOURCE_DIALOG, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2646 "SourceDialog.c"
}

static void
maya_view_source_dialog_instance_init (MayaViewSourceDialog * self,
                                       gpointer klass)
{
	gchar* _tmp0_;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	self->priv = maya_view_source_dialog_get_instance_private (self);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	self->priv->_event_type = MAYA_VIEW_EVENT_TYPE_EDIT;
#line 26 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#da3d41");
#line 26 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 35 "../src/SourceDialog/SourceDialog.vala"
	self->priv->source = NULL;
#line 2664 "SourceDialog.c"
}

static void
maya_view_source_dialog_finalize (GObject * obj)
{
	MayaViewSourceDialog * self;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 25 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->name_entry);
#line 26 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 27 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->current_backend);
#line 28 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->backend_widgets);
#line 29 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 30 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->widgets_checked);
#line 31 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->create_button);
#line 32 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 33 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->list_store);
#line 34 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->is_default_check);
#line 35 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->source);
#line 37 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_blue);
#line 38 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_mint);
#line 39 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_green);
#line 40 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_yellow);
#line 41 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_orange);
#line 42 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_red);
#line 43 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_pink);
#line 44 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_purple);
#line 45 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_brown);
#line 46 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_slate);
#line 47 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_none);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (maya_view_source_dialog_parent_class)->finalize (obj);
#line 2719 "SourceDialog.c"
}

static GType
maya_view_source_dialog_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (MayaViewSourceDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_view_source_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaViewSourceDialog), 0, (GInstanceInitFunc) maya_view_source_dialog_instance_init, NULL };
	GType maya_view_source_dialog_type_id;
	maya_view_source_dialog_type_id = g_type_register_static (gtk_grid_get_type (), "MayaViewSourceDialog", &g_define_type_info, 0);
	MayaViewSourceDialog_private_offset = g_type_add_instance_private (maya_view_source_dialog_type_id, sizeof (MayaViewSourceDialogPrivate));
	return maya_view_source_dialog_type_id;
}

GType
maya_view_source_dialog_get_type (void)
{
	static volatile gsize maya_view_source_dialog_type_id__once = 0;
	if (g_once_init_enter (&maya_view_source_dialog_type_id__once)) {
		GType maya_view_source_dialog_type_id;
		maya_view_source_dialog_type_id = maya_view_source_dialog_get_type_once ();
		g_once_init_leave (&maya_view_source_dialog_type_id__once, maya_view_source_dialog_type_id);
	}
	return maya_view_source_dialog_type_id__once;
}

static void
_vala_maya_view_source_dialog_get_property (GObject * object,
                                            guint property_id,
                                            GValue * value,
                                            GParamSpec * pspec)
{
	MayaViewSourceDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	switch (property_id) {
#line 22 "../src/SourceDialog/SourceDialog.vala"
		case MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		g_value_set_enum (value, maya_view_source_dialog_get_event_type (self));
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2760 "SourceDialog.c"
		default:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2766 "SourceDialog.c"
	}
}

static void
_vala_maya_view_source_dialog_set_property (GObject * object,
                                            guint property_id,
                                            const GValue * value,
                                            GParamSpec * pspec)
{
	MayaViewSourceDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	switch (property_id) {
#line 22 "../src/SourceDialog/SourceDialog.vala"
		case MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, g_value_get_enum (value));
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2786 "SourceDialog.c"
		default:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2792 "SourceDialog.c"
	}
}

